[package]
name = "chattyness-db"
version.workspace = true
edition.workspace = true

[dependencies]
chattyness-error = { workspace = true, optional = true }
chattyness-shared = { workspace = true, optional = true }
serde.workspace = true
uuid.workspace = true
chrono.workspace = true

# SSR-only dependencies
sqlx = { workspace = true, optional = true }
argon2 = { workspace = true, optional = true }
rand = { workspace = true, optional = true }

[features]
default = []
ssr = ["sqlx", "argon2", "rand", "chattyness-error/ssr", "dep:chattyness-error", "dep:chattyness-shared"]
